% x = mds(G,epsilon)
%
% multidimensional scaling: find realization x given 
% complete Gram matrix. The dimensionality of K is 
% determined by the number of eigenvalues of the Gram 
% matrix which are smaller than epsilon
   
function x = mds(G,epsilon)
  K = nnz(eps2zero(eig(G), epsilon));
  [V,lambda] = eigs(G,K,'lm');
  x = real(eps2zero(lambda.^(1/2) * V', epsilon));
%end function

